#include "scenes/game.h"
#include "scenes/mainmenu.h"
tiny::ErrorLevel tiny::level{9};
PLATFORM platform=LINUX;
std::string androidpackage="kn.kinfuyuki.animatronical-q1a1";
class anim: public enginend::program {
public:
	const char *CONF() override{return "SAVEFILE.TDF";}
	void boot() override {
		this->currentscene=new mainmenu;
		
		SetConfigFlags(FLAG_VSYNC_HINT|FLAG_WINDOW_RESIZABLE);
		InitWindow(380,240,"ani1");
		InitAudioDevice();
		currentscene->boot();
	}
	void tick() override {
		if (IsKeyDown(KEY_LEFT_ALT)&&IsKeyDown(KEY_F4))shouldclose=true;
		currentscene->tick();
	}
	void draw() override {
		currentscene->draw();
	}
	void exit() override {
		currentscene->exit();
	}
};

char changeto=-1;
int main() {
	anim dagame;
	dagame.boot();
	tiny::startup("animatronical 1","0.1c");
	tiny::fatal("/home/komi/src/cpp/allgames/animatronical/q1/a1/res/map/on/s/0.jpg");
	while (!dagame.shouldclose) {
		dagame.tick();
		dagame.draw();
		
	}
	dagame.exit();
}